%define	name	tuxtype2
%define	version	1.5.3
%define	release	%mkrel 8
%define	Summary	Educational typing tutor game starring Tux

Summary:	%{Summary}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.geekcomix.com/dm/tuxtype/%{name}-%{version}.tar.bz2
URL:		http://www.geekcomix.com/dm/tuxtype/
License:	GPL 
Group:		Games/Other
BuildRequires:	SDL-devel SDL_ttf-devel SDL_mixer-devel SDL_image-devel
BuildRequires:	ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
Tux Typing is an educational typing tutor game starring Tux, the Linux
penguin. It is graphical and requires SDL to run. This is a stable
release.

%prep
%setup -q

%build
%configure	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm -fr %{buildroot}%{_prefix}/doc/tuxtype2


install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Name=TuxType2
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;KidsGame;Educational;X-MandrivaLinux-MoreApplications-Games-Other;
EOF

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert -scale 16x16 %{name}.ico %{buildroot}%{_miconsdir}/%{name}.png
convert -scale 32x32 %{name}.ico %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 48x48 %{name}.ico %{buildroot}%{_liconsdir}/%{name}.png

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README tuxtype/docs/en/howtotheme.html 
%{_gamesbindir}/tuxtype2
%{_datadir}/tuxtype2
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png


%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.3-8mdv2009.0
+ Revision: 261715
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.5.3-7mdv2009.0
+ Revision: 255005
- rebuild
- drop old menu

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.5.3-5mdv2008.1
+ Revision: 136552
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Adam Williamson <awilliamson@mandriva.com>
    - Import tuxtype2



* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.5.3-5mdv2007.0
- remove ArcadeGame from categories

* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.5.3-4mdv2007.0
- fix summary macro use in menu
- add xdg menu
- move to %%{_gamesbindir}
- cosmetics

* Mon Dec 05 2005 Michael Scherer <misc@mandriva.org> 1.5.3-3mdk
- iadd ImageMagick as BuildRequires ( reported by neoclust on irc ) 

* Mon Dec 05 2005 Michael Scherer <misc@mandriva.org> 1.5.3-2mdk
- add %%mkrel
- add menu ( fix bug #20046 )
- fix summary
- clean before installation

* Fri Jul 22 2005 Lenny Cartier <lenny@mandriva.com> 1.5.3-1mdk
- 1.5.3

* Fri May 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.5.2-1mdk
- from Sandino "Tigrux" Flores <tigrux@ximian.com> :
	- First rpm for mandrake
